package cn.teammodel.service;

import cn.teammodel.common.IdRequest;
import cn.teammodel.model.dto.ai.CreateChatAppDto;
import cn.teammodel.model.dto.ai.SearchAppDto;
import cn.teammodel.model.dto.ai.UpdateChatAppDto;
import cn.teammodel.model.entity.ai.ChatApp;

import java.util.List;

/**
 * @author winter
 * @create 2024-01-23 11:19
 */
public interface ChatAppService {
    ChatApp createApp(CreateChatAppDto createChatAppDto);

    ChatApp updateApp(UpdateChatAppDto updateChatAppDto);

    void deleteApp(IdRequest idRequest);

    List<ChatApp> listApp(SearchAppDto searchAppDto);
}
